--**********************
--  EHSD
--  STEERING MODE PAGE
--  DESIGNATED TARGET DATA
--**********************
local	dtgt_brg_deg				= CreateElement "ceStringPoly"
		dtgt_brg_deg.name			= "dtgt_brg_deg"
		dtgt_brg_deg.material		= mpcd_tpod_font
		dtgt_brg_deg.init_pos		= { 0.30,  0.80, 0}
		dtgt_brg_deg.alignment		= "LeftCenter"
		dtgt_brg_deg.formats		= {"%03d;"}
		dtgt_brg_deg.stringdefs		= MPCD_large_font_size
		dtgt_brg_deg.controllers	= {{"nav_wpt_valid"}, {"nav_wpt_brg"}}
Add_MPCD_VIDEO_Element(dtgt_brg_deg)

local	dtgt_rng_nm					= CreateElement "ceStringPoly"
		dtgt_rng_nm.name			= "dtgt_rng_nm"
		dtgt_rng_nm.material		= mpcd_tpod_font
		dtgt_rng_nm.init_pos		= { 0.90,  0.80, 0}
		dtgt_rng_nm.alignment		= "RightCenter"
		dtgt_rng_nm.formats			= {"%1.1f"}
		dtgt_rng_nm.stringdefs		= MPCD_large_font_size
		dtgt_rng_nm.controllers		= {{"nav_wpt_valid"}, {"nav_wpt_rng"}}
Add_MPCD_VIDEO_Element(dtgt_rng_nm)

local	dtgt_ttg				= CreateElement "ceStringPoly"
		dtgt_ttg.name			= "dtgt_ttg"
		dtgt_ttg.material		= mpcd_tpod_font
		dtgt_ttg.init_pos		= { 0.60,  0.70, 0}
		dtgt_ttg.alignment		= "CenterCenter"
		dtgt_ttg.formats		= {"%d:%02d"}
		dtgt_ttg.stringdefs		= MPCD_large_font_size
		dtgt_ttg.controllers	= {{"nav_wpt_valid"}, {"nav_wpt_ttg"}}
Add_MPCD_VIDEO_Element(dtgt_ttg)

-- NEEDLE
local	nav_wpt_ptr_c				= create_mpcd_textured_box( 50, 775, 88, 818, nil, 1095)
		nav_wpt_ptr_c.name			= "nav_wpt_ptr_c"
		nav_wpt_ptr_c.init_pos		= {0, 0, 0}
		nav_wpt_ptr_c.controllers	= {{"EHSD_MAP_EHSI"}, {"EHSD_CR_Centered"}, {"nav_wpt_brg_ptr_WP"}}
Add_MPCD_VIDEO_Element(nav_wpt_ptr_c)

local	nav_wpt_ptr_d					= create_mpcd_textured_box( 50, 775, 88, 818, nil, 1405)
		nav_wpt_ptr_d.name				= "nav_wpt_ptr_d"
		nav_wpt_ptr_d.init_pos			= {0, 0, 0}
		nav_wpt_ptr_d.parent_element	= MPCD_center.name
		nav_wpt_ptr_d.controllers		= {{"EHSD_MAP_EHSI"}, {"EHSD_CR_Decentered"}, {"nav_wpt_brg_ptr_WP"}}
Add_MPCD_VIDEO_Element(nav_wpt_ptr_d)

-- SYMBOLS
local	dtgt_symbol					= create_mpcd_textured_box( 172, 798, 224, 850)
		dtgt_symbol.name			= "dtgt_symbol"
		dtgt_symbol.init_pos		= {0, 0, 0}
		dtgt_symbol.parent_element	= MPCD_center.name
		dtgt_symbol.controllers		= {{"nav_fp_prst"}, {"ccrp_target_pos", 0.5 * GetScale()}}
Add_MPCD_VIDEO_Element(dtgt_symbol)

local	dtgt_os_symbol				= create_mpcd_textured_box( 172, 798, 224, 850)
		dtgt_os_symbol.name			= "dtgt_symbol"
		dtgt_os_symbol.init_pos		= {0, 0, 0}
		dtgt_symbol.parent_element	= MPCD_center.name
		dtgt_os_symbol.controllers	= {{"ccrp_target_pos", 0.5 * GetScale()}}
Add_MPCD_VIDEO_Element(dtgt_os_symbol)
